Developers

Upload a file to icproject's internal storage system to Project/Task/TaskComment

POST
/project/internal-file-upload

Upload a file to icproject's internal storage system to Project/Task/TaskComment

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new ProjectFileUpload resource

multipart/form-data
  1. body
file?unknown
assignId?string
Formatuuid
fileCategory?string
Formatuuid
fileType?string
Value in"project""task""task-comment"
identifier?string|null

Response Body

ProjectFileUpload resource created

  1. response
createdBy?|null
type?string
Value in"project""task""task-comment""task-chat"
project?string
Formatuuid
task?|null
taskComment?|
Formatuuid
previewImageUrl?|
Formaturl
Lengthlength <= 255
id?string
Formatuuid
displayedName?string
Lengthlength <= 255
extension?|
Lengthlength <= 10
size?integer|null
source?string
Value in"internal""link""local-link""g-drive""dropbox""onedrive"
createdAt?string
Formatdate-time
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/internal-file-upload'
Example Response
{  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "type": "project",  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "task": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "shortCode": "string",    "no": 0,    "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",    "projectShortCode": "string",    "projectName": "string",    "projectIsSimple": true,    "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",    "stageName": "string",    "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",    "boardShortCode": "string",    "boardName": "string"  },  "taskComment": "74b627f5-ff78-4f23-addf-c50b206a1b80",  "previewImageUrl": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "displayedName": "string",  "extension": "string",  "size": 0,  "source": "internal",  "createdAt": "2019-08-24T14:15:22Z"}